/***************************************************************************
                          kcm_dhcpconfig.cpp  -  description
                             -------------------
    copyright            : (C) 2002 by Willy De la Court
                           Originally based on work done by
                           Copyright (c) 1998-1999 Karl Backstrm

    email                : willy.delacourt@pandora.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2 as     *
 *   published by the Free Software Foundation                             *
 *                                                                         *
 ***************************************************************************/

#include <kaboutdata.h>

#include <kcm_dhcpdconfig.h>
#include <qlayout.h>
#include <kglobal.h>
#include <klocale.h>

KCM_DHCPD_Config::KCM_DHCPD_Config( QWidget *parent, const char *name ):
	KCModule(parent,name) {

	(new QVBoxLayout(this))->setAutoAdd(true);
	// we don't need the default button as there are no defaults
	setButtons( buttons() - KCModule::Default );
	m_dhcpd_config = new DHCPD_Config(this, "DHCPD_Config");
	connect(m_dhcpd_config, SIGNAL(changed(bool)), this, SIGNAL(changed(bool)));
	load();
}

void KCM_DHCPD_Config::load(){
	m_dhcpd_config->load();
}

void KCM_DHCPD_Config::save(){
	m_dhcpd_config->save();
}

void KCM_DHCPD_Config::defaults(){
	m_dhcpd_config->restoreDefault();
}

const KAboutData* KCM_DHCPD_Config::aboutData() const
{
	KAboutData *about =
	new KAboutData(I18N_NOOP("kcmdhcpdconfig"), I18N_NOOP("DHCPD Config"),
			"0.3.0", I18N_NOOP("DHCP Server configuration utility"), KAboutData::License_GPL,
			I18N_NOOP("(c) 2003 Willy De la Court"));

	about->addAuthor("Willy De la Court", I18N_NOOP( "Current maintainer" ) , "willy.delacourt@pandora.be", "http://www.linux-lovers.be");
	about->addAuthor("Karl Backstrom", I18N_NOOP( "Original author" ) , "backstrom@kde.org");
	return about;
}


extern "C"
{
	KCModule *create_dhcpd( QWidget *parent, const char * )
	{
		KGlobal::locale()->insertCatalogue("kcmdhcpdconfig");
		return new KCM_DHCPD_Config( parent, "kcmdhcpdconfig" );
	}
}

#include <kcm_dhcpdconfig.moc>
