/***************************************************************************
                          syntaxerror.cpp  -  description
                             -------------------
    copyright            : (C) 2002 by Willy De la Court
    email                : willy.delacourt@pandora.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2 as     *
 *   published by the Free Software Foundation                             *
 *                                                                         *
 ***************************************************************************/

#include <qheader.h>
#include "mlistviewitem.h"
#include "syntaxerror.h"

syntaxError::syntaxError( QString data, QPtrList<int> errors, QWidget* parent, const char* name )
	: syntaxError_UI( parent, name )
{
	int cnt, max;
	int error;
	QString line;
	MListViewItem *l = 0;

	listView->setColumnAlignment( 0, AlignRight );
	listView->header()->hide();
	listView->setSorting( -1 );
	listView->setColumnWidthMode( 0, QListView::Maximum );
	listView->setColumnWidthMode( 1, QListView::Maximum );

	// get first syntax error
	if( errors.isEmpty() )
		error = 0;
	else
		error = *(errors.getFirst());
	// get number of lines in data
	max = data.contains( '\n' );
	// replace tabs with spaces
	data.replace( '\t', "        " );
	for( cnt = 1; cnt < max + 1; cnt++ )
	{
		line = data.section( '\n', cnt - 1, cnt - 1);
		l = new MListViewItem( listView, l, QString().setNum(cnt), line, cnt == error );
		if( cnt == error )
		{
			int *n = errors.next();
			if( n )
				error = *n;
			else
				error = 0;
		}

	}
	exec();
}

#include "syntaxerror.moc"
